Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355927 (CVE-2010-3493) - <dev-lang/python-{2.6.6-r2,3.1.3}: DoS vulnerability in smtpd (CVE-2010-3493)
Summary: <dev-lang/python-{2.6.6-r2,3.1.3}: DoS vulnerability in smtpd (CVE-2010-3493)
Status: RESOLVED FIXED
Alias: CVE-2010-3493
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Security
URL: http://bugs.python.org/issue9129
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-21 23:27 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2014-01-06 21:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-02-21 23:27:12 UTC
Python <2.6.6-r2:2.6, <2.7.1:2.7, <3.1.3:3.1 is vulnerable to DoS in smtpd module.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-02-21 23:29:44 UTC
Stabilize:
  dev-lang/python-2.6.6-r2
  dev-lang/python-3.1.3-r1
Comment 2 Agostino Sarubbo gentoo-dev 2011-02-22 14:16:02 UTC
amd64 ok
Comment 3 Alex Buell 2011-02-22 21:04:28 UTC
Tested on SPARC, seems OK. 
Comment 4 Jeroen Roovers gentoo-dev 2011-02-23 15:37:00 UTC
Stable for HPPA.
Comment 5 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-02-23 16:00:27 UTC
ppc/ppc64 stable
Comment 6 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-02-24 15:02:03 UTC
x86 stable
Comment 7 Markos Chandras (RETIRED) gentoo-dev 2011-02-26 09:38:12 UTC
amd64 done. Thanks Agostino
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2011-02-26 17:33:53 UTC
alpha/arm/ia64/m68k/s390/sh/sparc stable
Comment 9 Tim Sammut (RETIRED) gentoo-dev 2011-02-26 19:46:41 UTC
Thanks, folks. Added to existing GLSA request.
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2011-10-08 12:30:59 UTC
CVE-2010-3493 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-3493):
  Multiple race conditions in smtpd.py in the smtpd module in Python 2.6, 2.7,
  3.1, and 3.2 alpha allow remote attackers to cause a denial of service
  (daemon outage) by establishing and then immediately closing a TCP
  connection, leading to the accept function having an unexpected return value
  of None, an unexpected value of None for the address, or an ECONNABORTED,
  EAGAIN, or EWOULDBLOCK error, or the getpeername function having an ENOTCONN
  error, a related issue to CVE-2010-3492.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2014-01-06 21:27:59 UTC
This issue was resolved and addressed in
 GLSA 201401-04 at http://security.gentoo.org/glsa/glsa-201401-04.xml
by GLSA coordinator Sergey Popov (pinkbyte).